# FastyBird metadata library

[![Build Status](https://badgen.net/github/checks/FastyBird/metadata/master?cache=300&style=flat-square)](https://github.com/FastyBird/metadata/actions)
[![Licence](https://badgen.net/github/license/FastyBird/metadata?cache=300&style=flat-square)](https://github.com/FastyBird/metadata/blob/master/LICENSE.md)
[![Code coverage](https://badgen.net/coveralls/c/github/FastyBird/metadata?cache=300&style=flat-square)](https://coveralls.io/r/FastyBird/metadata)

![PHP](https://badgen.net/packagist/php/FastyBird/metadata?cache=300&style=flat-square)
[![PHP downloads total](https://badgen.net/packagist/dt/FastyBird/metadata?cache=300&style=flat-square)](https://packagist.org/packages/FastyBird/metadata)
[![PHP latest stable](https://badgen.net/packagist/v/FastyBird/metadata/latest?cache=300&style=flat-square)](https://packagist.org/packages/FastyBird/metadata)
[![PHPStan](https://img.shields.io/badge/phpstan-enabled-brightgreen.svg?style=flat-square)](https://github.com/phpstan/phpstan)

![JS](https://img.shields.io/badge/js-es6-blue.svg?style=flat-square)
[![JS downloads total](https://badgen.net/npm/dt/@fastybird/metadata?cache=300&style=flat-square)](https://www.npmjs.com/package/@fastybird/metadata)
[![JS latest stable](https://badgen.net/npm/v/@fastybird/metadata?cache=300&style=flat-square)](https://www.npmjs.com/package/@fastybird/metadata)
![Types](https://badgen.net/npm/types/@fastybird/metadata?cache=300&style=flat-square)

![Python](https://badgen.net/pypi/python/fastybird-metadata?cache=300&style=flat-square)
[![Python downloads month](https://img.shields.io/pypi/dm/fastybird-metadata?cache=300&style=flat-square)](https://pypi.org/project/fastybird-metadata/)
[![Python latest stable](https://badgen.net/pypi/v/fastybird-metadata?cache=300&style=flat-square)](https://pypi.org/project/fastybird-metadata/)
[![Black](https://img.shields.io/badge/black-enabled-brightgreen.svg?style=flat-square)](https://github.com/psf/black)
[![MyPy](https://img.shields.io/badge/mypy-enabled-brightgreen.svg?style=flat-square)](http://mypy-lang.org)

## What is FastyBird metadata library?

This is library for [FastyBird](https://www.fastybird.com) ecosystem which is
implementing [json schemas](https://json-schema.org) data validation helpers and is central place for application
constants.

## Installation

### PHP based project:

The best way to install **fastybird/metadata** is using [Composer](http://getcomposer.org/):

```sh
composer require fastybird/metadata
```

### JS based project:

The best way to install **@fastybird/metadata** is using [Yarn](https://yarnpkg.com/):

```sh
yarn add @fastybird/metadata
```

### Python based project:

The best way to install **fastybird-metadata** is using [pip](https://pip.pypa.io/):

```sh
pip install fastybird-metadata
```

## Updating metadata

If you want to place your module, plugin or connector here, feel free to create pull request with your updates.

***
Homepage [https://www.fastybird.com](https://www.fastybird.com) and
repository [https://github.com/FastyBird/metadata](https://github.com/FastyBird/metadata).
